import {parse} from "next-useragent";
import DashboardProvinceHeadExpertComponent from "@/components/dashboard/province-head-expert";

export default function ProvinceHeadExpertOffice() {
    return (
        <DashboardProvinceHeadExpertComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.province_head_expert",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_province_headquarter_refahi"]}}
        },
    };
}
